[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] New kernel packages available

New packages that correct a vulnerability in the kernels that shipped
with Red Hat Linux 6.0 are now available.  When exploited this
vulnerability allows remote users to crash machines running 2.2.x
kernels.  Thanks to Piotr Wilkin for reporting the problem and to Alan
Cox for the fix.

Red Hat Software recommends that all users with networked machines
upgrade to this release.

The procedure for upgrading the kernel is documented at

Please read the entire section for your architecture before upgrading.

Red Hat Linux 6.0

rpm -ivh ftp://updates.redhat.com/6.0/i386/kernel-2.2.5-22.i386.rpm
rpm -ivh ftp://updates.redhat.com/6.0/i386/kernel-2.2.5-22.i586.rpm
rpm -ivh ftp://updates.redhat.com/6.0/i386/kernel-smp-2.2.5-22.i586.rpm
rpm -ivh ftp://updates.redhat.com/6.0/i386/kernel-2.2.5-22.i686.rpm
rpm -ivh ftp://updates.redhat.com/6.0/i386/kernel-smp-2.2.5-22.i686.rpm

rpm -ivh ftp://updates.redhat.com/6.0/alpha/kernel-2.2.5-22.alpha.rpm
rpm -ivh ftp://updates.redhat.com/6.0/alpha/kernel-smp-2.2.5-22.alpha.rpm

Note: These packages obsolete the earlier kernel-2.2.5-21 release
      for SPARC.  The problems fixed by the 2.2.5-21 release are also
      fixed in 2.2.5-22.

rpm -ivh ftp://updates.redhat.com/6.0/sparc/kernel-2.2.5-22.sparc.rpm
rpm -ivh ftp://updates.redhat.com/6.0/sparc/kernel-smp-2.2.5-22.sparc.rpm
rpm -ivh ftp://updates.redhat.com/6.0/sparc/kernel-2.2.5-22.sparc64.rpm
rpm -ivh ftp://updates.redhat.com/6.0/sparc/kernel-smp-2.2.5-22.sparc64.rpm

Source RPM
rpm -Uvh ftp://updates.redhat.com/6.0/SRPMS/kernel-2.2.5-22.src.rpm


Matt Wilson
PGP public key: http://charlotte.redhat.com/~msw/pgp_public_key.asc

Attachment: pgp00000.pgp
Description: PGP signature

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]